#include <stdio.h>
#include <stdlib.h>
#include <limits.h>

#define TMin LONG_MIN
#define TMax LONG_MAX

#include "btest.h"
#include "bits.h"

test_rec test_set[] = {


 {"bitAnd", (funct_t) bitAnd, (funct_t) test_bitAnd, 2, "| ~", 12, 1,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"bitXor", (funct_t) bitXor, (funct_t) test_bitXor, 2, "& ~", 21, 2,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"isEqual", (funct_t) isEqual, (funct_t) test_isEqual, 2,
    "! ~ & ^ | + << >>", 6, 2,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"evenBits", (funct_t) evenBits, (funct_t) test_evenBits, 0,
    "! ~ & ^ | + << >>", 8, 2,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"bitMask", (funct_t) bitMask, (funct_t) test_bitMask, 2,
    "! ~ & ^ | + << >>", 24, 3,
  {{0, 31},{0,31},{TMin,TMax}}},






 {"bitParity", (funct_t) bitParity, (funct_t) test_bitParity, 1, "! ~ & ^ | + << >>", 20, 4,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"tmax", (funct_t) tmax, (funct_t) test_tmax, 0, "! ~ & ^ | + << >>", 6, 1,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"isPositive", (funct_t) isPositive, (funct_t) test_isPositive, 1,
    "! ~ & ^ | + << >>", 12, 3,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"negate", (funct_t) negate, (funct_t) test_negate, 1,
    "! ~ & ^ | + << >>", 6, 2,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"fitsBits", (funct_t) fitsBits, (funct_t) test_fitsBits, 2,
    "! ~ & ^ | + << >>", 20, 2,
  {{TMin, TMax},{1,32},{TMin,TMax}}},






 {"isLess", (funct_t) isLess, (funct_t) test_isLess, 2,
    "! ~ & ^ | + << >>", 39, 3,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"sum3", (funct_t) sum3, (funct_t) test_sum3, 3, "! ~ & ^ | << >>", 24, 3,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"sm2tc", (funct_t) sm2tc, (funct_t) test_sm2tc, 1, "! ~ & ^ | + << >>", 15, 4,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},






 {"isNonZero", (funct_t) isNonZero, (funct_t) test_isNonZero, 1,
    "~ & ^ | + << >>", 18, 4,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},







 {"isPower2", (funct_t) isPower2, (funct_t) test_isPower2, 1, "! ~ & ^ | + << >>", 60, 4,
  {{TMin, TMax},{TMin,TMax},{TMin,TMax}}},




  {"", NULL, NULL, 0, "", 0, 0,
   {{0, 0},{0,0},{0,0}}}
};
