/* Testing Code */

#include <limits.h>




int test_bitAnd(int x, int y)
{
  return x&y;
}






int test_bitXor(int x, int y)
{
  return x^y;
}






int test_isEqual(int x, int y)
{
  return x == y; 
}






int test_evenBits(void) {
  int result = 0;
  int i;
  for (i = 0; i < 32; i+=2)
    result |= 1<<i;
  return result;
}






int test_bitMask(int highbit, int lowbit)
{
  int result = 0;
  int i;
  for (i = lowbit; i <= highbit; i++)
    result |= 1 << i;
  return result;
}






int test_bitParity(int x) {
  int result = 0;
  int i;
  for (i = 0; i < 32; i++)
    result ^=  (x >> i) & 0x1;
  return result;
}






int test_tmax(void) {
  return LONG_MAX;
}






int test_isPositive(int x) {
  return x > 0;
}






int test_negate(int x) {
  return -x;
}






int test_fitsBits(int x, int n)
{
  int TMin_n = -(1 << (n-1));
  int TMax_n = (1 << (n-1)) - 1;
  return x >= TMin_n && x <= TMax_n;
		
}






int test_isLess(int x, int y)
{
  return x < y;
}






int test_sum3(int x, int y, int z)
{
  return x+y+z;
}






int test_sm2tc(int x) {
  int sign = x < 0;
  int mag  = x & LONG_MAX;
  return sign ? -mag : mag;
}






int test_isNonZero(int x)
{
  return x!=0;
}







int test_isPower2(int x) {
  int i;
  for (i = 0; i < 31; i++) {
    if (x == 1<<i)
      return 1;
  }
  return 0;
}


